library verilog;
use verilog.vl_types.all;
entity synDelayWithEnable_1s_28s_1s_2 is
    generic(
        bitwidth        : integer := 28;
        delaylength     : integer := 1
    );
    port(
        N_6             : out    vl_logic_vector(25 downto 0);
        N_5             : in     vl_logic_vector(25 downto 0);
        enab            : in     vl_logic;
        GlobalReset     : in     vl_logic;
        clk             : in     vl_logic
    );
end synDelayWithEnable_1s_28s_1s_2;
